Package com.mockobjects.dynamic

# Class FullConstraintMatcher

java.lang.Object
com.mockobjects.dynamic.FullConstraintMatcher

All Implemented Interfaces:
  `ConstraintMatcher`

public class FullConstraintMatcher extends Object implements ConstraintMatcher

## Constructor Summary

Constructors
Constructor
Description
`FullConstraintMatcher(Constraint c1)`
`FullConstraintMatcher(Constraint[] constraints)`
`FullConstraintMatcher(Constraint c1, Constraint c2)`
`FullConstraintMatcher(Constraint c1, Constraint c2, Constraint c3)`

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getConstraints()`
`boolean`
`matches(Object[] args)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FullConstraintMatcher

public FullConstraintMatcher(Constraint[] constraints)

### FullConstraintMatcher

public FullConstraintMatcher(Constraint c1)

### FullConstraintMatcher

public FullConstraintMatcher(Constraint c1, Constraint c2)

### FullConstraintMatcher

public FullConstraintMatcher(Constraint c1, Constraint c2, Constraint c3)

## Method Details

### matches

public boolean matches(Object[] args)

Specified by:
  `matches` in interface `ConstraintMatcher`

### getConstraints

public Object[] getConstraints()

Specified by:
  `getConstraints` in interface `ConstraintMatcher`